Subject: RE: [Swig] JNI, Cygwin32 and swig.
From: Fulton William-WFULTON1 <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>, "[email-masked]'" <[email-masked]>
Date: Fri, 22 Jun 2001 08:58:49 +0100

I havn't used SWIG with Cygwin or Win32, but there is one problem in your
code. Use:

try { System.loadLibrary("openssl");

that is don't specify the text '.dll'. I don't know why you don't see the
"Error Loading the lib" message, it ought to show. Put in some more debug
output or use breakpoints in a debugger to follow the execution path.

William

> hi all,
> 
> I am trying to recompile a c library (openssl) under W32 
> (using Cygwin) and to 
> access it in the W32 environnement with my JAVA program 
> mapped with swig...
> Ok , it may sounds strange... but ....
> If I include the .dll in my java code, my java will not run 
> any more...
> EX : 
> public class simple {
>  static {
>      try { System.loadLibrary("openssl.dll"); } 
>      catch (UnsatisfiedLinkError e) {
>          System.out.println("Error loading the lib"); System.exit(1);
>        }
>   }
>   public static void main(String argv[]) { 
>      System.out.println("Hello World !");
>   }
> }
> 
> If I include the static code, I have not output... I have put 
> in comments the 
> static loading part I have no problem I have my silly output...
> 
> the strangest thing is that the JVM(1.3) says nothing !!
> Of course, on my linux box everything is fine...
> 
> Regards,
> 
> Laurent Hausermann
> PS : please write me back, I didn't subscribe to the list.

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple